Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IAnnotationMap

All Superinterfaces:
  ISynchronizable, Map

public interface IAnnotationMap
extends Map, ISynchronizable

An annotation map is a map specialized for the requirements of an annotation model. The annotation map supports a customizable lock object which is used to synchronize concurrent operations on the map (see `ISynchronizable`. The map supports two iterator methods, one for the values and one for the keys of the map. The returned iterators are robust, i.e. they work on a copy of the values and keys set that is made at the point in time the iterator methods are called.

The returned collections of the methods `values`, `entrySet`, and `keySet` are not synchronized on the annotation map's lock object.

Since:
  3.0
See Also:
  `IAnnotationModel`

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`Set` | `entrySet()` The returned set is not synchronized on this annotation map's lock object.
`Set` | `keySet()` The returned set is not synchronized on this annotation map's lock object.
`Iterator` | `keySetIterator()` Returns an iterator for a copy of this map's key set.
`Collection` | `values()` The returned collection is not synchronized on this annotation map's lock object.
`Iterator` | `valuesIterator()` Returns an iterator for a copy of this annotation map's values.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, equals, get, hashCode, isEmpty, put, putAll, remove, size`

Methods inherited from interface org.eclipse.jface.text.ISynchronizable
`getLockObject, setLockObject`

Method Detail

### valuesIterator

    public Iterator valuesIterator()

  Returns an iterator for a copy of this annotation map's values.

  Returns:
    an iterator for a copy of this map's values

### keySetIterator

    public Iterator keySetIterator()

  Returns an iterator for a copy of this map's key set.

  Returns:
    an iterator for a copy of this map's key set

### entrySet

    public Set entrySet()

  The returned set is not synchronized on this annotation map's lock object.

  Specified by:
    `entrySet` in interface `Map`

### keySet

    public Set keySet()

  The returned set is not synchronized on this annotation map's lock object.

  Specified by:
    `keySet` in interface `Map`

### values

    public Collection values()

  The returned collection is not synchronized on this annotation map's lock object.

  Specified by:
    `values` in interface `Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.